aboutsummaryrefslogtreecommitdiff
path: root/test/bash
diff options
context:
space:
mode:
Diffstat (limited to 'test/bash')
-rwxr-xr-xtest/bash5
1 files changed, 2 insertions, 3 deletions
diff --git a/test/bash b/test/bash
index 6f52d522..60616c95 100755
--- a/test/bash
+++ b/test/bash
@@ -1,7 +1,6 @@
#!/bin/sh
for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
- if [ -f "$bash" ] && ! bash -n "$bash" ; then
- exit 1
- fi
+ [ -e "$bash" ] || continue
+ bash -n "$bash" || exit
done
printf 'All bash(1) scripts parsed successfully.\n'